package project.com.bachelor;

import android.app.Application;
import android.content.Context;

import io.realm.Realm;
import io.realm.RealmConfiguration;

/**
 * Created by ReneUhrin on 17.12.16.
 * Email: reneuhrin@gmail.com
 */
public class App extends Application {

    private static final String TAG = App.class.getSimpleName();

    private static Context mContext;
    private static App mInstance;

    @Override
    public void onCreate() {
        super.onCreate();
        mContext = getApplicationContext();
        Realm.init(this);
        RealmConfiguration config = new RealmConfiguration.Builder().build();
        Realm.setDefaultConfiguration(config);
    }

    public static Context getContext () {
        return mContext;
    }

    public App() {
        super();
        mInstance = this;
    }

    public static App getApplication() {
        return mInstance;
    }


}
