package project.com.bachelor.connection;

import okhttp3.OkHttpClient;
import retrofit2.Retrofit;
import retrofit2.adapter.rxjava.RxJavaCallAdapterFactory;
import retrofit2.converter.gson.GsonConverterFactory;

/**
 * Created by ReneUhrin on 16.12.16.
 * Email: reneuhrin@gmail.com
 */

public class RetrofitHelper {

    private static final String TAG = RetrofitHelper.class.getSimpleName();
    private static final String BASE_URL = "https://api.stackexchange.com/2.2/";
    private UrlPath mUrlPath;
    private Retrofit retrofit;

    private static RetrofitHelper ourInstance;

    public static RetrofitHelper getInstance() {
        if (ourInstance == null) {
            ourInstance = new RetrofitHelper();
        }
        return ourInstance;
    }

    private RetrofitHelper() {

        OkHttpClient.Builder httpClient = new OkHttpClient.Builder();
        OkHttpClient client = httpClient.build();

        retrofit = new Retrofit.Builder()
                .baseUrl(BASE_URL)
                .addConverterFactory(GsonConverterFactory.create())
                .addCallAdapterFactory(RxJavaCallAdapterFactory.create())
                .client(client)
                .build();
        mUrlPath = retrofit.create(UrlPath.class);
    }

    public UrlPath getUrlPath() {
        return mUrlPath;
    }

    public Retrofit getRetrofit() {
        return retrofit;
    }

}
