package project.com.bachelor.utils;

import android.util.Log;

/**
 * Created by ReneUhrin on 16.12.16.
 * Email: reneuhrin@gmail.com
 */

/**
 * To be used instead of Android Log - now we have complete control what is logged, possibility to switch off any debug level.
 */
public class CustomLog {

    private static final String TAG_PREFIX = "EmanProject#";

    public static void d(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.d(TAG_PREFIX + tag, msg);
        }

    }

    public static void d(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.d(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void e(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.e(TAG_PREFIX + tag, msg);
        }
    }

    public static void e(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.e(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void i(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.i(TAG_PREFIX + tag, msg);
        }
    }

    public static void i(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.i(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void v(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.v(TAG_PREFIX + tag, msg);
        }
    }

    public static void v(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.v(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void w(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.w(TAG_PREFIX + tag, msg);
        }
    }

    public static void w(String tag, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.w(TAG_PREFIX + tag, tr);
        }
    }

    public static void w(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.w(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void wtf(String tag, String msg) {
        if (BuildConfig.DEBUG) {
            Log.wtf(TAG_PREFIX + tag, msg);
        }
    }

    public static void wtf(String tag, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.wtf(TAG_PREFIX + tag, tr);
        }
    }

    public static void wtf(String tag, String msg, Throwable tr) {
        if (BuildConfig.DEBUG) {
            Log.wtf(TAG_PREFIX + tag, msg, tr);
        }
    }

    public static void isLoggable(String tag, int level) {
        if (BuildConfig.DEBUG) {
            Log.isLoggable(TAG_PREFIX + tag, level);
        }
    }

}
