package project.com.bachelor.view;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.widget.Toolbar;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import project.com.bachelor.App;
import project.com.bachelor.R;
import project.com.bachelor.datamodel.Items;
import project.com.bachelor.utils.ConstantsString;

public class DetailFragment extends Fragment {

    private String mTitle;
    private String mBody;

    private TextView mTvTitle;
    private TextView mTvInformation;

    private boolean mIsDualPane = true;

    public DetailFragment() {
        // Required empty public constructor
    }

    public static DetailFragment newInstance(String title, String body, boolean isDualPane) {
        DetailFragment fragment = new DetailFragment();
        Bundle args = new Bundle();
        args.putString(ConstantsString.ARG_TITLE_DETAIL_FRAGMENT, title);
        args.putString(ConstantsString.ARG_BODY_DETAIL_FRAGMENT, body);
        args.putBoolean(ConstantsString.ARG_DUAL_PANE_DETAIL_FRAGMENT, isDualPane);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mTitle = getArguments().getString(ConstantsString.ARG_TITLE_DETAIL_FRAGMENT);
            mBody = getArguments().getString(ConstantsString.ARG_BODY_DETAIL_FRAGMENT);
            mIsDualPane = getArguments().getBoolean(ConstantsString.ARG_DUAL_PANE_DETAIL_FRAGMENT);
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view = inflater.inflate(R.layout.fragment_detail, container, false);

        mTvTitle = (TextView) view.findViewById(R.id.textViewTitleFragmentDetail);
        mTvInformation = (TextView) view.findViewById(R.id.textViewInformationFragmentDetail);

        if (!mIsDualPane) {

            Toolbar toolbar = (Toolbar) view.findViewById(R.id.toolbarCustomToolbar);
            ((MainActivity)getActivity()).setSupportActionBar(toolbar);

            ((MainActivity)getActivity()).getSupportActionBar().setDisplayShowTitleEnabled(true);
            ((MainActivity)getActivity()).getSupportActionBar().setDisplayHomeAsUpEnabled(true);
            ((MainActivity)getActivity()).getSupportActionBar().setTitle(App.getContext().getString(R.string.app_name));

            toolbar.setNavigationOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    getActivity().onBackPressed();
                }
            });
        }

        if (mTitle != null && mBody != null) {
            mTvTitle.setText(Html.fromHtml(mTitle));
            mTvInformation.setText(Html.fromHtml(mBody));
        }

        return view;
    }

    public void setInformation(Items item) {
        mTvTitle.setText(Html.fromHtml(item.getTitle()));
        mTvInformation.setText(Html.fromHtml(item.getBody()));
    }
}
